Subject: bug#41745: 28.0.50; problem with json file and which-function on pretest an master

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 07 Jun 2020 20:11:56 +0100

andrés ramírez <[email-masked]> writes:

>>>>>> "Basil" == Basil L Contovounesios <[email-masked]> writes:
>
>     Basil> So it's a custom syntax?  Then why do you expect js-mode to support it?
>
> Because It was working on the previous version 26.3.

If it's not a syntax that js-mode officially supports, then the fact
that it worked in 26.3 is just a happy coincidence, and not something
that has to be maintained.

Unless you or someone else can confirm that this is supported syntax, I
don't see a bug here.  The reason I'm not sure is because I'm not
familiar with js-mode and the different flavours of JS-like syntax that
are meant to be supported.

-- 
Basil